%define upstream_name MooseX-Types-Stringlike
%define upstream_version 0.003

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Moose type constraints for strings or string-like objects
License:	ASL 2.0
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MooseX::Types)

BuildArch:	noarch

%description
This module provides a more general version of the "Str" type. If
coercions are enabled, it will accepts objects that overload
stringification and coerces them into strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-7.mga8
+ Revision: 1495694
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-6.mga7
+ Revision: 1269674
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-5.mga6
+ Revision: 1030707
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.3.0-4.mga6
+ Revision: 939779
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 741062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 685589
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 619445
- update to 0.003

* Thu Feb 06 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 584539
- update to 0.002

* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 534784
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 0.1.0-1.mga4
+ Revision: 478883
- imported package perl-MooseX-Types-Stringlike

